aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/menugrim
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
committerYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
commit93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1 (patch)
treef5cab1472bf7d95aa72c43a713e104d2827b37a5 /dotfiles/.scripts/menugrim
downloadswayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.tar.gz
swayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.zip
initial commit
Diffstat (limited to 'dotfiles/.scripts/menugrim')
-rwxr-xr-xdotfiles/.scripts/menugrim33
1 files changed, 33 insertions, 0 deletions
diff --git a/dotfiles/.scripts/menugrim b/dotfiles/.scripts/menugrim
new file mode 100755
index 0000000..6575487
--- /dev/null
+++ b/dotfiles/.scripts/menugrim
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+if ! [ -d $SCROT_DIR ]; then
+ mkdir -p $SCROT_DIR
+fi
+
+# Source settings from .bemenurc
+. $HOME/.bemenurc
+
+notify_saved() {
+ notify-send "screenshot has been saved in $SCROT_DIR" ;
+}
+
+notify_copied() {
+ notify-send "screenshot has been copied to clipboard" ;
+}
+
+case "$1" in
+ --quick|-q)
+ grim $SCROT_DIR/fullscreen-"$(date '+%y%m%d-%H%M-%S').png"; notify_saved ;;
+ *)
+ case "$(printf "a selected area\ncurrent window\nfull screen\na selected area (copy)\ncurrent window (copy)\nfull screen (copy)\n" | bemenu -l 6 -i -p "Screenshot which area?" $BEMENU_OPTIONS)" in
+ "a selected area") grim -g "$(slurp)" $SCROT_DIR/selected-"$(date '+%y%m%d-%H%M-%S').png"; notify_saved ;;
+ "current window") grim -g "$(swaygetcurrentwindow)" $SCROT_DIR/window-"$(date '+%y%m%d-%H%M-%S').png"; notify_saved ;;
+ "full screen") grim $SCROT_DIR/fullscreen-"$(date '+%y%m%d-%H%M-%S').png"; notify_saved ;;
+ "a selected area (copy)") grim -g "$(slurp)" - | wl-copy; notify_copied ;;
+ "current window (copy)") grim -g "$(swaygetcurrentwindow)" - | wl-copy; notify_copied ;;
+ "full screen (copy)") grim - | wl-copy; notify_copied ;;
+ *) exit 0 ;;
+ esac
+esac
+
+